package com.fs.store.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 处方对象 fs_prescribe
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsPrescribe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long prescribeId;

    /** 处方类型 1订单 2问诊 */
    @Excel(name = "处方类型 1订单 2问诊")
    private Integer prescribeType;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 处⽅单ID（唯⼀ID） */
    @Excel(name = "处⽅单ID", readConverterExp = "唯=⼀ID")
    private String rpId;

    /** 门店标识 */
    @Excel(name = "门店标识")
    private String pharmacyCode;

    /** ⻔店名称 */
    @Excel(name = "⻔店名称")
    private String pharmacyName;

    /** 病情描述(主诉） */
    @Excel(name = "病情描述(主诉）")
    private String chiefComplaint;

    /** 现病史 */
    @Excel(name = "现病史")
    private String nowIllness;

    /** 既往史 */
    @Excel(name = "既往史")
    private String historyIllness;

    /** 患者年龄 */
    @Excel(name = "患者年龄")
    private String patientAge;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 是否有过敏史（传值：是/否） */
    @Excel(name = "是否有过敏史", readConverterExp = "传=值：是/否")
    private String isHistoryAllergic;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String historyAllergic;

    /** 肝功能是否异常（传值：是/否） */
    @Excel(name = "肝功能是否异常", readConverterExp = "传=值：是/否")
    private String liverUnusual;

    /** 肾功能是否异常（传值：是/否） */
    @Excel(name = "肾功能是否异常", readConverterExp = "传=值：是/否")
    private String renalUnusual;

    /** 是否是备孕/怀孕/哺乳期（传值：是 */
    @Excel(name = "是否是备孕/怀孕/哺乳期", readConverterExp = "是否是备孕/怀孕/哺乳期（传值：是")
    private String lactationFlag;

    /** 患者电话 */
    @Excel(name = "患者电话")
    private String patientTel;

    /** 患者性别(传数字，1男 2⼥) */
    @Excel(name = "患者性别(传数字，1男 2⼥)")
    private String patientGender;

    /** 复诊凭证 */
    @Excel(name = "复诊凭证")
    private String recordPic;

    /** 处方图片地址 */
    @Excel(name = "处方图片地址")
    private String rpUrl;

    /** 处⽅开具时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处⽅开具时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rpCreateTime;
    @Excel(name = "拒绝原因")
    private String auditReason;


    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 药品列表 JSON */
    @Excel(name = "药品列表 JSON")
    private String drugs;

    /** 医生名称 */
    @Excel(name = "医生名称")
    private String doctorName;

    /** 科室名称 */
    @Excel(name = "科室名称")
    private String doctorId;

    private Integer status;

    public String getAuditReason() {
        return auditReason;
    }

    public void setAuditReason(String auditReason) {
        this.auditReason = auditReason;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setPrescribeId(Long prescribeId)
    {
        this.prescribeId = prescribeId;
    }

    public Long getPrescribeId() 
    {
        return prescribeId;
    }
    public void setPrescribeType(Integer prescribeType) 
    {
        this.prescribeType = prescribeType;
    }

    public Integer getPrescribeType() 
    {
        return prescribeType;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setPatientId(Long patientId) 
    {
        this.patientId = patientId;
    }

    public Long getPatientId() 
    {
        return patientId;
    }
    public void setRpId(String rpId) 
    {
        this.rpId = rpId;
    }

    public String getRpId() 
    {
        return rpId;
    }
    public void setPharmacyCode(String pharmacyCode) 
    {
        this.pharmacyCode = pharmacyCode;
    }

    public String getPharmacyCode() 
    {
        return pharmacyCode;
    }
    public void setPharmacyName(String pharmacyName) 
    {
        this.pharmacyName = pharmacyName;
    }

    public String getPharmacyName() 
    {
        return pharmacyName;
    }
    public void setChiefComplaint(String chiefComplaint) 
    {
        this.chiefComplaint = chiefComplaint;
    }

    public String getChiefComplaint() 
    {
        return chiefComplaint;
    }
    public void setNowIllness(String nowIllness) 
    {
        this.nowIllness = nowIllness;
    }

    public String getNowIllness() 
    {
        return nowIllness;
    }
    public void setHistoryIllness(String historyIllness) 
    {
        this.historyIllness = historyIllness;
    }

    public String getHistoryIllness() 
    {
        return historyIllness;
    }
    public void setPatientAge(String patientAge) 
    {
        this.patientAge = patientAge;
    }

    public String getPatientAge() 
    {
        return patientAge;
    }
    public void setPatientName(String patientName) 
    {
        this.patientName = patientName;
    }

    public String getPatientName() 
    {
        return patientName;
    }
    public void setWeight(String weight) 
    {
        this.weight = weight;
    }

    public String getWeight() 
    {
        return weight;
    }
    public void setIsHistoryAllergic(String isHistoryAllergic) 
    {
        this.isHistoryAllergic = isHistoryAllergic;
    }

    public String getIsHistoryAllergic() 
    {
        return isHistoryAllergic;
    }
    public void setHistoryAllergic(String historyAllergic) 
    {
        this.historyAllergic = historyAllergic;
    }

    public String getHistoryAllergic() 
    {
        return historyAllergic;
    }
    public void setLiverUnusual(String liverUnusual) 
    {
        this.liverUnusual = liverUnusual;
    }

    public String getLiverUnusual() 
    {
        return liverUnusual;
    }
    public void setRenalUnusual(String renalUnusual) 
    {
        this.renalUnusual = renalUnusual;
    }

    public String getRenalUnusual() 
    {
        return renalUnusual;
    }
    public void setLactationFlag(String lactationFlag) 
    {
        this.lactationFlag = lactationFlag;
    }

    public String getLactationFlag() 
    {
        return lactationFlag;
    }
    public void setPatientTel(String patientTel) 
    {
        this.patientTel = patientTel;
    }

    public String getPatientTel() 
    {
        return patientTel;
    }
    public void setPatientGender(String patientGender) 
    {
        this.patientGender = patientGender;
    }

    public String getPatientGender() 
    {
        return patientGender;
    }
    public void setRecordPic(String recordPic) 
    {
        this.recordPic = recordPic;
    }

    public String getRecordPic() 
    {
        return recordPic;
    }
    public void setRpUrl(String rpUrl) 
    {
        this.rpUrl = rpUrl;
    }

    public String getRpUrl() 
    {
        return rpUrl;
    }
    public void setRpCreateTime(Date rpCreateTime) 
    {
        this.rpCreateTime = rpCreateTime;
    }

    public Date getRpCreateTime() 
    {
        return rpCreateTime;
    }
    public void setDiagnose(String diagnose) 
    {
        this.diagnose = diagnose;
    }

    public String getDiagnose() 
    {
        return diagnose;
    }
    public void setDrugs(String drugs) 
    {
        this.drugs = drugs;
    }

    public String getDrugs() 
    {
        return drugs;
    }
    public void setDoctorName(String doctorName) 
    {
        this.doctorName = doctorName;
    }

    public String getDoctorName() 
    {
        return doctorName;
    }
    public void setDoctorId(String doctorId) 
    {
        this.doctorId = doctorId;
    }

    public String getDoctorId() 
    {
        return doctorId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prescribeId", getPrescribeId())
            .append("prescribeType", getPrescribeType())
            .append("orderId", getOrderId())
            .append("userId", getUserId())
            .append("patientId", getPatientId())
            .append("rpId", getRpId())
            .append("pharmacyCode", getPharmacyCode())
            .append("pharmacyName", getPharmacyName())
            .append("chiefComplaint", getChiefComplaint())
            .append("nowIllness", getNowIllness())
            .append("historyIllness", getHistoryIllness())
            .append("patientAge", getPatientAge())
            .append("patientName", getPatientName())
            .append("weight", getWeight())
            .append("isHistoryAllergic", getIsHistoryAllergic())
            .append("historyAllergic", getHistoryAllergic())
            .append("liverUnusual", getLiverUnusual())
            .append("renalUnusual", getRenalUnusual())
            .append("lactationFlag", getLactationFlag())
            .append("patientTel", getPatientTel())
            .append("patientGender", getPatientGender())
            .append("recordPic", getRecordPic())
            .append("rpUrl", getRpUrl())
            .append("rpCreateTime", getRpCreateTime())
            .append("diagnose", getDiagnose())
            .append("drugs", getDrugs())
            .append("doctorName", getDoctorName())
            .append("doctorId", getDoctorId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
